Subject: Re: bug#21718: 24.5; Backgrounding emacsclient hangs emacs

From: Glenn Morris <[email-masked]>
Date: Wed, 21 Oct 2015 13:44:53 -0400

Ed Avis wrote:

> I am running emacs from a text ssh session.
>
> % emacs -Q
> M-x server-start RET
> M-x shell RET
> % touch foo
> % emacsclient foo
> C-x b RET                  (switch back to shell buffer)
> M-x comint-stop-subjob RET
>
> I expected this to background the emacsclient process within the shell
> window. 

It sends SIGSTOP.

I know this isn't very helpful, but the only thing I can think to say is
"don't do that". Either use the normal C-x C-f to open a file, or if you
must call emacsclient from within a shell inside Emacs (?!), use the
--no-wait option.